package org.gophotog.d70reader;

import java.util.Iterator;
import org.gophotog.nikonexiflib.*;

public class D70Reader {

    private static boolean bFullTrace = false;
    private static boolean bTrace = false;
    private static D70Utility pUtility = null;

    // +----------------------------------------------------------------+
    // |
    // +----------------------------------------------------------------+
    public static void main(String[] args) {

        try 
        {
            // Check the arguments
            if (args.length != 1)
                throw new IllegalArgumentException("Wrong number of arguments");
          
            if(bFullTrace) System.out.println("\nargs[0]: " + args[0]);
            String strFilename = args[0];
    
            try
            {
                ProcessImage pImage = new ProcessImage();

                ReaderDataList rdList = pImage.ProcessFile(args[0]);

                if(bTrace)
                {

                    Iterator<ReaderDataRow> it = rdList.getIter();
                    
                    while(it.hasNext())
                    {
                        ReaderDataRow obj = it.next();
    
                        System.out.println("\ngetTagIndex: " + obj.getTagIndex());
                        System.out.println("\ngetTagNumber: " + pUtility.hex(obj.getTagNumber()));
                        System.out.println("\ngetTagLabel: " + obj.getTagLabel());
                        System.out.println("\ngetTagType: " + obj.getTagType());
                        System.out.println("\ngetTagDescription: " + obj.getTagDescription());
                        System.out.println("\ngetTagData: " + obj.getTagData());
                        System.out.println("\ngetTagOffset: " + obj.getTagOffset() + "\n");
                    }
                }

                System.out.println(rdList.getReport().toString());
            }
            catch (Exception e) 
            {
                // Report any errors that arise
                System.err.println("\n");
                e.printStackTrace();
            }
    
        }
        catch (Exception e) 
        {
            // Report any errors that arise 
            System.err.println("\n");
            System.err.println(e);
            System.err.println("Usage: java D70Reader <nef_filename>");
        }

    }

}
        
